Nieuws:

Welkom, Gast. Alsjeblieft inloggen of registreren.
Heb je de activerings-mail niet ontvangen?

Auteur Topic: Bij updaten Ubuntu 14.04.LTS foutmelding, updaten lukt niet meer  (gelezen 414 keer)

Na de laatste update via updatebeer kreeg ik een foutmelding waardoor het updaten van Ubuntu 14.04 LTS versie niet meer lukt.
Na het uitvoeren via de Terminal van: ' sudo  apt-get install -f ' krijg ik de volgende foutmelding.
[i]Pakketlijsten worden ingelezen... Klaar
Boom van vereisten wordt opgebouwd       
De status informatie wordt gelezen... Klaar
Vereisten worden gecorrigeerd... Klaar
De volgende extra pakketten zullen geïnstalleerd worden:
  linux-generic linux-headers-3.13.0-85 linux-headers-3.13.0-85-generic
  linux-headers-generic linux-image-3.13.0-85-generic
  linux-image-extra-3.13.0-85-generic linux-image-generic
Voorgestelde pakketten:
  fdutils linux-doc-3.13.0 linux-source-3.13.0 linux-tools
De volgende NIEUWE pakketten zullen geïnstalleerd worden:
  linux-headers-3.13.0-85 linux-headers-3.13.0-85-generic
  linux-image-3.13.0-85-generic linux-image-extra-3.13.0-85-generic
De volgende pakketten zullen opgewaardeerd worden:
  linux-generic linux-headers-generic linux-image-generic
3 pakketten opgewaardeerd, 4 pakketten nieuw geïnstalleerd, 0 te verwijderen en 31 niet opgewaardeerd.
2 pakketten niet volledig geïnstalleerd of verwijderd.
Er moeten 61,5 MB aan archieven opgehaald worden.
Door deze operatie zal er 223 MB extra schijfruimte gebruikt worden.
Wilt u doorgaan? [J/n] j
Ophalen:1 http://nl.archive.ubuntu.com/ubuntu/ trusty-updates/main linux-image-3.13.0-85-generic i386 3.13.0-85.129 [14,8 MB]
Ophalen:2 http://nl.archive.ubuntu.com/ubuntu/ trusty-updates/main linux-image-extra-3.13.0-85-generic i386 3.13.0-85.129 [37,0 MB]
Ophalen:3 http://nl.archive.ubuntu.com/ubuntu/ trusty-updates/main linux-generic i386 3.13.0.85.91 [1784 B]
Ophalen:4 http://nl.archive.ubuntu.com/ubuntu/ trusty-updates/main linux-image-generic i386 3.13.0.85.91 [2236 B]
Ophalen:5 http://nl.archive.ubuntu.com/ubuntu/ trusty-updates/main linux-headers-3.13.0-85 all 3.13.0-85.129 [8887 kB]
Ophalen:6 http://nl.archive.ubuntu.com/ubuntu/ trusty-updates/main linux-headers-3.13.0-85-generic i386 3.13.0-85.129 [693 kB]
Ophalen:7 http://nl.archive.ubuntu.com/ubuntu/ trusty-updates/main linux-headers-generic i386 3.13.0.85.91 [2224 B]
61,5 MB opgehaald in 25s (2376 kB/s)                                           
Selecting previously unselected package linux-image-3.13.0-85-generic.
(Database inlezen ... 1297903 files and directories currently installed.)
Preparing to unpack .../linux-image-3.13.0-85-generic_3.13.0-85.129_i386.deb ...
Done.
Unpacking linux-image-3.13.0-85-generic (3.13.0-85.129) ...
Selecting previously unselected package linux-image-extra-3.13.0-85-generic.
Preparing to unpack .../linux-image-extra-3.13.0-85-generic_3.13.0-85.129_i386.deb ...
Unpacking linux-image-extra-3.13.0-85-generic (3.13.0-85.129) ...
Preparing to unpack .../linux-generic_3.13.0.85.91_i386.deb ...
Unpacking linux-generic (3.13.0.85.91) over (3.13.0.83.89) ...
Preparing to unpack .../linux-image-generic_3.13.0.85.91_i386.deb ...
Unpacking linux-image-generic (3.13.0.85.91) over (3.13.0.83.89) ...
Selecting previously unselected package linux-headers-3.13.0-85.
Preparing to unpack .../linux-headers-3.13.0-85_3.13.0-85.129_all.deb ...
Unpacking linux-headers-3.13.0-85 (3.13.0-85.129) ...
dpkg: error processing archive /var/cache/apt/archives/linux-headers-3.13.0-85_3.13.0-85.129_all.deb (--unpack):
 unable to create `/usr/src/linux-headers-3.13.0-85/tools/perf/scripts/perl/wakeup-latency.pl.dpkg-new' (while processing `./usr/src/linux-headers-3.13.0-85/tools/perf/scripts/perl/wakeup-latency.pl'): Geen ruimte meer over op apparaat
Er is geen apport-verslag weggeschreven omdat de foutmelding een fout is over een volle schijf.
               dpkg-deb: error: subprocess paste was killed by signal (Gebroken pijp)
Selecting previously unselected package linux-headers-3.13.0-85-generic.
Preparing to unpack .../linux-headers-3.13.0-85-generic_3.13.0-85.129_i386.deb ...
Unpacking linux-headers-3.13.0-85-generic (3.13.0-85.129) ...
dpkg: error processing archive /var/cache/apt/archives/linux-headers-3.13.0-85-generic_3.13.0-85.129_i386.deb (--unpack):
 unable to create `/usr/src/linux-headers-3.13.0-85-generic/include/config/kvm/vfio.h.dpkg-new' (while processing `./usr/src/linux-headers-3.13.0-85-generic/include/config/kvm/vfio.h'): Geen ruimte meer over op apparaat
Er is geen apport-verslag weggeschreven omdat de foutmelding een fout is over een volle schijf.
               dpkg-deb: error: subprocess paste was killed by signal (Gebroken pijp)
Preparing to unpack .../linux-headers-generic_3.13.0.85.91_i386.deb ...
Unpacking linux-headers-generic (3.13.0.85.91) over (3.13.0.83.89) ...
Fouten gevonden tijdens behandelen van:
 /var/cache/apt/archives/linux-headers-3.13.0-85_3.13.0-85.129_all.deb
 /var/cache/apt/archives/linux-headers-3.13.0-85-generic_3.13.0-85.129_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
hans@hans-Ubuntu-PC:~$
[/i]
Geen idee om dit op te lossen. Staat onder andere iets over te volle schijf.  Maar als ik de partitities van de schijven controleer is er overal voldoende ruimte.
Hoe dit op te lossen, graag feedback.

Hans

Moderator edit: code tags geplaatst.
« Laatst bewerkt op: 2016/04/06, 10:39:33 door Ron »

Offline vanadium

  • Lid
  • Steunpunt: Nee
Re: Bij updaten Ubuntu 14.04.LTS foutmelding, updaten lukt niet meer
« Reactie #1 Gepost op: 2016/04/06, 12:17:34 »
Je hebt een geëncrypteerde harde schijf? In dat geval bevindt de kernel zich op een zeer kleine afzonderlijke /boot partitie. Anders heb je wellicht een afzonderlijke root partitie, die nu te klein is (zelfs al zie je dat niet meteen).

Probeer eerst eens of met
sudo apt-get autoremove
reeds een oude kernel opgeruimd wordt. Anders zal je oude kernels handmatig moeten verwijderen. Daarna zal er terug ruimte zijn om een nieuwe kernel bij te plaatsen.
« Laatst bewerkt op: 2016/04/06, 12:24:39 door vanadium »

Re: Bij updaten Ubuntu 14.04.LTS foutmelding, updaten lukt niet meer
« Reactie #2 Gepost op: 2016/04/07, 08:58:28 »
Probleem opgelost. Mijn root partitie is een aparte partitie die vol was.  Via de link ( Maak Ubuntu veilig schoon) kon ik de oude kernel updates verwijderen. Nu gaat het updaten wel goed.

Bedankt.